Subject: bug#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case

From: Chong Yidong <[email-masked]>
Date: Tue, 24 Mar 2009 14:04:33 -0400

> 3) Type '-' symbol. Keep typing '-' until the the line is
>    wrapped. Delete the last symbol (the one which caused
>    wrapping). The line should now be fully filled with '-'s, and there
>    should be no wrapping.

> 4) Hit Enter and repeat 3). There are now 2 fully filled lines one
>    after another, with no space between them (expected).

> 5) Select menu item Options/Line Wrapping in this Buffer/Word Wrap
>    (Visual Line Mode). An empty line between 2 lines has appeared
>    (unexpected).

This behavior is expected.  The word wrap algorithm treats lines that
are too long to wrap using the ordinary line-wrapping rules, and since
overflow-newline-into-fringe is disabled in Visual Line mode, the extra
empty line is used to show the non-overflowed newline character.

After the release, I might look into letting word wrap handle
overflow-newline-into-fringe behavior.  I suspect, however, that this
may lead to confusing results in some circumstances.